Bug 471458 - traceback on submit and save commands
traceback on submit and save commands
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 14:37 EST by Greg Nichols
Modified: 2014-03-25 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 17:58:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardwaretest.py patch fixing invalid varible references to "self.results" (1.25 KB, patch)
2008-11-13 14:38 EST, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2008-11-13 14:37:22 EST
Description of problem:

HTS 5.3 R1 produces a traceback for the submit and save commands:

Traceback (most recent call last):
  File "/usr/bin/hts", line 49, in <module>
    success = hts.do(args)
  File "/usr/share/hts/lib/hts/hardwaretest.py", line 166, in do
    result = self.doSubmit()
  File "/usr/share/hts/lib/hts/hardwaretest.py", line 556, in doSubmit
    if self.results:
AttributeError: HardwareTestHarness instance has no attribute 'results'
Comment 1 Greg Nichols 2008-11-13 14:38:26 EST
Created attachment 323495 [details]
hardwaretest.py patch fixing invalid varible references to "self.results"
Comment 3 Yan Tian 2009-01-02 00:01:20 EST
Verified "hts submit" and "hts save" not produced traceback in hts-5.3-12.
Comment 5 errata-xmlrpc 2009-01-27 17:58:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html

Note You need to log in before you can comment on or make changes to this bug.